singularity(1)

NAME

singularity-run-help - Show the user-defined help for an image

SYNOPSIS

singularity run-help

DESCRIPTION

The help text is from the '%help' section of the definition file. If you are
  using the '--apps' option, the help text is instead from that app's '%apphelp'
  section.

OPTIONS

--app=""
    show the help for an app

-h, --help[=false]
    help for run-help

EXAMPLE

      $ cat my_container.def
      Bootstrap: docker
      From: busybox

      %help
          Some help for this container

      %apphelp foo
          Some help for application 'foo' in this container

      $ sudo singularity build my_container.sif my_container.def
      Using container recipe deffile: my_container.def
      [...snip...]
      Cleaning up...

      $ singularity run-help my_container.sif

        Some help for this container

      $ singularity run-help --app foo my_container.sif

        Some help for application in this container

SEE ALSO

singularity(1)

HISTORY

1-Apr-2024 Auto generated by spf13/cobra